## gate.jape.parser
Class ASCII_CharStream

    java.lang.Object
      |
      +--gate.jape.parser.ASCII_CharStream

public final class ASCII_CharStream
extends Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`int` `bufpos`
`static boolean` `staticFlag`

Constructor Summary
`ASCII_CharStream(InputStream dstream, int startline, int startcolumn)`
`ASCII_CharStream(InputStream dstream, int startline, int startcolumn, int buffersize)`
`ASCII_CharStream(Reader dstream, int startline, int startcolumn)`
`ASCII_CharStream(Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`void` `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` `backup(int amount)`
`char` `BeginToken()`
`void` `Done()`
`int` `getBeginColumn()`
`int` `getBeginLine()`
`int` `getColumn()` Deprecated.
`int` `getEndColumn()`
`int` `getEndLine()`
`String` `GetImage()`
`int` `getLine()` Deprecated.
`char[]` `GetSuffix(int len)`
`char` `readChar()`
`void` `ReInit(InputStream dstream, int startline, int startcolumn)`
`void` `ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` `ReInit(Reader dstream, int startline, int startcolumn)`
`void` `ReInit(Reader dstream, int startline, int startcolumn, int buffersize)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

### bufpos

    public int bufpos

Constructor Detail

### ASCII_CharStream

    public ASCII_CharStream(Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### ASCII_CharStream

    public ASCII_CharStream(Reader dstream,
                            int startline,
                            int startcolumn)

### ASCII_CharStream

    public ASCII_CharStream(InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### ASCII_CharStream

    public ASCII_CharStream(InputStream dstream,
                            int startline,
                            int startcolumn)

Method Detail

### BeginToken

    public final char BeginToken()
                          throws IOException

### readChar

    public final char readChar()
                        throws IOException

### getColumn

    public final int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public final int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public final int getEndColumn()

### getEndLine

    public final int getEndLine()

### getBeginColumn

    public final int getBeginColumn()

### getBeginLine

    public final int getBeginLine()

### backup

    public final void backup(int amount)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn)

### GetImage

    public final String GetImage()

### GetSuffix

    public final char[] GetSuffix(int len)

### Done

    public void Done()

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                                      int newCol)

  Method to adjust line and column numbers for the start of a token.